* {
    margin: 0;
    padding: 0;
    font-family: Calibri;
}

html, body {
    width: 100%;
    height: 100%;
}

#container {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 250px auto;
    grid-template-rows: 250px 50px auto 75px;
    grid-template-areas: 
        "main-nav header"
        "main-nav top-nav"
        "main-nav main"
        "main-nav footer";
}

#container > div {
    border: 1px solid darkblue;
    display: flex;
    justify-content: center;
    align-items: center;
}

#header {
    grid-area: header;
}

#top-nav {
    grid-area: top-nav;
}

#main-nav {
    grid-area: main-nav;
}

#main {
    grid-area: main;
}

#footer {
    grid-area: footer;
}

@media (max-width: 600px) {
    #container {
        grid-template-columns: 1fr;
        grid-template-rows: 100px 75px 100px auto 50px;
        grid-template-areas: 
            "header"
            "footer"
            "main-nav"
            "main"
            "top-nav";
    }
}